Edge
Keywords: uk.ac.bbk.dcs.automed.hdmstore.Edge class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.hdmstore
Class Edge

    java.lang.Object
      uk.ac.bbk.dcs.automed.hdmstore.Edge

    public class Edge

extends java.lang.Object

A Edge represents an HDM edge, which can be of any length, each element (or `Span`) can be a node or an edge and edges can be named (optionally).

Author:
  Dean Williams (dean@dcs.bbk.ac.uk)

Constructor Summary
`Edge(java.lang.String edgeDef, java.lang.String[] args)` Construct a representation of an edge from a string representing its type and an array of spans

Method Summary
`java.lang.String` | `edgeValueAsString()` Get the edge values as a string
`static java.lang.String` | `hideInternalSeperators(java.lang.String orig)` Remove commas that are not at the 'top level' e.g.
`java.lang.String` | `name()` Get the edge name
`java.util.ArrayList` | `path()` Get the edge value as a path of spans
`static java.lang.String` | `returnInternalSeperators(java.lang.String orig)` If commas that are not at the 'top level' have been removed, replace them e.g.
`java.lang.String` | `type()` Get the edge type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Edge

    public Edge(java.lang.String edgeDef,
                java.lang.String[] args)

  Construct a representation of an edge from a string representing its type and an array of spans

Method Detail

### name

    public java.lang.String name()

  Get the edge name

### type

    public java.lang.String type()

  Get the edge type

### edgeValueAsString

    public java.lang.String edgeValueAsString()

  Get the edge values as a string

### path

    public java.util.ArrayList path()

  Get the edge value as a path of spans

### hideInternalSeperators

    public static java.lang.String hideInternalSeperators(java.lang.String orig)

  Remove commas that are not at the 'top level' e.g. passing <>>> returns <>>>

### returnInternalSeperators

    public static java.lang.String returnInternalSeperators(java.lang.String orig)

  If commas that are not at the 'top level' have been removed, replace them e.g. passing <>>> returns <>>>

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD